<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-02 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable" style="background-color: #FFFFFF; ">
	<tr>
		<td height="82" bgcolor="#ffffff"><div style="width:22px; height:0px;"><spacer /></div></td>
		<td width="100%" colspan="2">
			<div style="width:734px; height:0px;"><spacer /></div>
			<table cellpadding="0" cellspacing="0" border="0" height="82" width="100%">
				<tr>
					<td style="padding-left:7px;">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td style="padding-right:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a></td>
								<td>
									<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
									<div class="slogan"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></div>
								</td>
							</tr>
						</table>
					</td>
					<td align="right" width="100%">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td><div style="width:40px; height:0px;"><spacer /></div></td>
								<!--menu1 /-->
								<xsl:call-template name="TOP-MENU"/>
								<!--/ menu1-->
								<td><div style="width:10px; height:0px;"><spacer /></div></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td width="22"><div style="width:22px; height:0px;"><spacer /></div></td>
	</tr>
	<tr>
		<td height="192"></td>
		<td class="visual" colspan="2" style="background-position: top right; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" height="192" style="background-image: url('images/hlbg.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="padding-left:117px;">
						<table cellpadding="0" cellspacing="0" border="0" height="50" style="float:left;">
							<tr>
								<td style="background-image:url(images/visual_kleft.gif); background-position: top right; background-repeat: no-repeat;"><div style="width:6px; height:0px;"><spacer /></div></td>
								<td class="slogan-b"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
								<td style="background-image:url(images/visual_kright.gif); background-position: top left; background-repeat: no-repeat;"><div style="width:5px; height:0px;"><spacer /></div></td>
							</tr>
						</table>
					</td>
					<td style="background-image:url(images/visual_k.gif); background-position: center left; background-repeat: no-repeat;"><div style="width:22px; height:0px;"><spacer /></div></td>
				</tr>
			</table>
		</td>
		<td></td>
	</tr>
	<tr>
		<td height="13"></td>
		<td><div style="width:209px; height:0px;"><spacer /></div></td>
		<td></td>
		<td></td>
	</tr>
	<tr>
		<td height="100%"></td>
		<td valign="top" class="second-bg">
			<!--2ndmenu /-->
			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
			<!--/ 2ndmenu-->
		</td>
		<td valign="top">
			<div style="width:525px; height:0px;"><spacer /></div>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td height="61" class="pageheader" style="background-image: url('images/pageheader_mark.gif'); background-position: center left; background-repeat: no-repeat;">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
				</tr>
				<tr>
					<td class="thatext">
						<span class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></span>
					</td>
				</tr>
			</table>
		</td>
		<td></td>
	</tr>
	<tr>
		<td height="15"></td>
		<td></td>
		<td></td>
		<td></td>
	</tr>
	<tr>
		<td height="60"></td>
		<td colspan="2" class="copy-bg" style="background-position: top right; background-image: url('images/copy_bg.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="60" style="background-image: url('images/copy_lbg.jpg'); background-repeat: no-repeat;">
				<tr>
					<td class="copy-mark"><a href="#"><img src="images/copy_mark.gif" width="19" height="19" border="0" alt="" /></a></td>
					<td class="copy" style="white-space:nowrap;"><a href="#"></a></td>
					<td class="copy" width="100%" align="right">
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					</td>
				</tr>
			</table>
		</td>
		<td></td>
	</tr>
	<tr>
		<td height="20"></td>
		<td></td>
		<td></td>
		<td></td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="secondmenuitemactive" style="background-image: url('images/2ndmenu_item_bg.gif'); background-repeat: no-repeat;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
						<td class="secondmenumarkactive" style="background-image: url('images/2ndmenu_mark_bg.gif'); background-position: top right; background-repeat: no-repeat;"><img src="images/2ndmenu_mark.gif" width="21" height="17" border="0" alt="" /></td>
					</tr>
				</table>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
						<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="21" height="17" border="0" alt="" /></a></td>
					</tr>
				</table>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<div class="secondmenudivider"><spacer /></div>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
