<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xrot-03 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
  <tr>
    <td height="194" colspan="2" background="images/xro_02.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="194" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-left: 500px;">
<!-- END LOGO -->
	<table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2" width="55"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td height="26" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="50" colspan="2" align="center" bgcolor="#5A9AF7" style="padding-left: 50px; padding-left: 50px; background-image: url(images/bg.jpg);
	background-repeat: no-repeat;
	background-position: left;">
	<!-- MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
      <tr>
       <xsl:call-template name="TOP-MENU"/>
        </tr>
    </table>
<!-- MENU -->
	</td>
  </tr>
  <tr>
    <td colspan="2" valign="top" width="100%" height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="252" height="100%" valign="top" background="images/xro_25.jpg"><table width="252" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/xro_14.jpg" width="252" height="99" alt="" /></td>
          </tr>
          <tr>
            <td align="center" valign="top" background="images/xro_25.jpg">
		<!-- END SUBMENU -->
			<table width="160" border="0" cellspacing="0" cellpadding="0">
             <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
        </table></td>
        <td valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" background="images/xro_17.jpg"><img src="images/xro_15.jpg" width="192" height="22" alt="" /></td>
          </tr>
        </table>          
                 <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                   <tr>
                     <td width="100%" height="100%" valign="top" style="padding: 30px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td name="SB_stretch" width="100%" height="100%" class="pageContent" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
					 </td>
                   </tr>
                 </table></td>
      </tr>
    </table>     </td>
  </tr>
  <tr>
    <td width="252" height="168" style="background-image: url(images/xro_28.jpg);
	background-repeat: repeat-x;
	background-position: bottom;"><img src="images/xro_27.jpg" width="252" height="168" alt="" /></td>
    <td width="75%" valign="bottom" style="background-image: url(images/xro_28.jpg);
	background-repeat: repeat-x;
	background-position: bottom; padding-bottom: 20px;"><div align="left">
      <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>
		<!-- FOOTER -->
			<div align="left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
		  </td>
        </tr>
      </table>
    </div></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
    <td width="25" height="40"><img src="images/sub.gif" width="21" height="21" /></td>
    <td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  <tr>
    <td width="25" height="40"><img src="images/sub.gif" width="21" height="21" /></td>
    <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
   <tr>
       <td colspan="2"><img src="images/fff.gif" width="160" height="5" /></td>
    </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
